Bug 124767 - gpilotd runaway thread
gpilotd runaway thread
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-pilot (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-29 14:15 EDT by Tim Keitt
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 13:27:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Keitt 2004-05-29 14:15:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040518 Firefox/0.8

Description of problem:
Evoking gpilotd pegs the load around 1-2. The events/[0|1] process
runs continuously generating the load. Killing gpilotd returns the
system to an idle state. The conduits are configured: syncing to my
palm Vx works fine.

Version-Release number of selected component (if applicable):
gnome-pilot-2.0.10-6.1

How reproducible:
Always

Steps to Reproduce:
1. run gpilotd

    

Actual Results:  Top shows events/[0|1] process pegged at 100%; load
level jumps to 1-2

Expected Results:  No runaway threads

Additional info:
Comment 1 Pierre Francois 2004-06-01 05:33:30 EDT
I have the same problem. Have you found any solution?
Comment 2 Nigel Metheringham 2004-06-03 10:07:00 EDT
WHat sort of palm device, what sort of connection, how is gpilotd
configured?

[First thoughts are that this is a permissions problem on
/dev/usb/ttyUSB[01] which need to have read/write for you during sync]
Comment 3 Pierre Francois 2004-06-04 14:14:13 EDT
Hi Nigel

I have a Palm Pilot m105, and I synchronize through mi IR port. Device
is /dev/ircomm0. I'm able to synchronize until the end. It's only when
everything apparently finishes that gpilotd seems to loop, and I have
to end the process manually. Moreover, some records are not properly
synced, but I don't know if this latter problem is connected to the
former.

Regards.
Comment 4 Tim Keitt 2004-06-21 15:45:30 EDT
Its on a serial port:

[tkeitt@workstation-3 tkeitt]$ ls -l /dev/ttyS0
crw-------  1 tkeitt uucp 4, 64 Jun 21 10:17 /dev/ttyS0

Output of strace:

Process 3369 attached - interrupt to quit
ioctl(3, FIONREAD, [0])                 = 0
poll([{fd=18, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=23, events=POLLIN|POLLPRI}, {fd=25, events=POLLIN}, {fd=27,
events=POLLIN|POLLPRI}, {fd=28, events=POLLIN|POLLPRI}, {fd=29,
events=POLLIN|POLLPRI}, {fd=30, events=POLLIN|POLLPRI}, {fd=33,
events=POLLIN|POLLPRI}, {fd=32, events=POLLIN|POLLPRI}, {fd=31,
events=POLLIN}, {fd=31, events=POLLPRI}], 12, -1) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "n\2z\0P(\r\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\1\0 \1\4"...,
32) = 32
ioctl(3, FIONREAD, [32])                = 0
read(3, "n\2z\0\237(\r\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0 "...,
32) = 32
poll([{fd=18, events=POLLIN}, {fd=3, events=POLLIN}, {fd=23,
events=POLLIN|POLLPRI}, {fd=25, events=POLLIN}, {fd=27,
events=POLLIN|POLLPRI}, {fd=28, events=POLLIN|POLLPRI}, {fd=29,
events=POLLIN|POLLPRI}, {fd=30, events=POLLIN|POLLPRI}, {fd=33,
events=POLLIN|POLLPRI}, {fd=32, events=POLLIN|POLLPRI}, {fd=31,
events=POLLIN}, {fd=31, events=POLLPRI}], 12, 0) = 0
ioctl(3, FIONREAD, [0])                 = 0
poll([{fd=18, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=23, events=POLLIN|POLLPRI}, {fd=25, events=POLLIN}, {fd=27,
events=POLLIN|POLLPRI}, {fd=28, events=POLLIN|POLLPRI}, {fd=29,
events=POLLIN|POLLPRI}, {fd=30, events=POLLIN|POLLPRI}, {fd=33,
events=POLLIN|POLLPRI}, {fd=32, events=POLLIN|POLLPRI}, {fd=31,
events=POLLIN}, {fd=31, events=POLLPRI}], 12, -1) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "n\2z\0008)\r\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\1\0 \1"...,
32) = 32
ioctl(3, FIONREAD, [0])                 = 0
poll([{fd=18, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=23, events=POLLIN|POLLPRI}, {fd=25, events=POLLIN}, {fd=27,
events=POLLIN|POLLPRI}, {fd=28, events=POLLIN|POLLPRI}, {fd=29,
events=POLLIN|POLLPRI}, {fd=30, events=POLLIN|POLLPRI}, {fd=33,
events=POLLIN|POLLPRI}, {fd=32, events=POLLIN|POLLPRI}, {fd=31,
events=POLLIN}, {fd=31, events=POLLPRI}], 12, -1) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "n\2z\0n)\r\0\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0 \1\5"...,
32) = 32
ioctl(3, FIONREAD, [0])                 = 0
poll([{fd=18, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN},
{fd=23, events=POLLIN|POLLPRI}, {fd=25, events=POLLIN}, {fd=27,
events=POLLIN|POLLPRI}, {fd=28, events=POLLIN|POLLPRI}, {fd=29,
events=POLLIN|POLLPRI}, {fd=30, events=POLLIN|POLLPRI}, {fd=33,
events=POLLIN|POLLPRI}, {fd=32, events=POLLIN|POLLPRI}, {fd=31,
events=POLLIN}, {fd=31, events=POLLPRI}], 12, -1) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "n\2z\0B,\r\0\1\4\4\0\0\0\0\0\0\0\0\4\4\4\4\4\0\0\3\37%"...,
32) = 32
ioctl(3, FIONREAD, [0])                 = 0
poll( <unfinished ...>
Process 3369 detached

It sits on poll until any mouse click, then dumps above. Don't know if
that helps.

Comment 5 Dave Malcolm 2004-11-09 12:28:55 EST
I'm sorry that this bug has gone for so long without activity.

Are you still able to reproduce this bug?  If so it would be useful to
attach gdb to the gpilotd process and post a backtrace of what it's
doing here.

Ensure you have the gnome-pilot-debuginfo package installed.

Find the process ID of gpilotd by running 
ps ax | grep gpilotd

and then type "gdb attach PID" where PID is the process ID.

See this page for more information:
http://fedora.linux.duke.edu/wiki/index.cgi/StackTraces
Comment 7 John Thacker 2006-10-27 13:27:35 EDT
Closing per lack of response.  Also note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.